For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot examples

Lists and filters training examples

get

Required Permission: chatbots.examples.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Query parameters
limitnumberOptional

The limit for how many examples should be fetched.

pageTokenstringOptional

The date after which to filter examples. Only examples after this date will be fetched.

intentIdstringOptional

The Id of the intent the examples belong to.

entityIdstringOptional

The Id of the intent the examples belong to.

languagestringOptional

The language of the examples.

Responses
200

List of training examples.

application/json
pageTokenstringRequired

The date of the latest fetched example.

errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/examples

Creates a new training example

post

Required Permission: chatbots.examples.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
intentIdstringRequired

The ID of the Intent to which this example is assigned.

Example: 59aBv7wzR9cxd1Pxyz
textstringRequired

The text of the training example.

Example: I would like to know the status of my order.
languagestringOptional

The language of the example.

Example: DE
entityIdsstring[]Required

A list of entity Id's that are marked in this example.

Default: []
translatebooleanOptional

Indicates whether the example should be translated into other languages.

conversationIdstringOptional

Optional ID of the conversation from which the example originated.

Example: Kq8BxZaJd2wZR9cxd1P
Responses
post
/v1/chatbots/{chatbotId}/examples

Deletes a training example

delete

Required Permission: chatbots.examples.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

exampleIdstringRequired

The ID of the example to delete.

Responses
200

Result of the deletion process.

application/json
deletedbooleanRequired

Indicates whether the deletion was successful.

Example: true
errorstringOptional

Optional error message.

delete
/v1/chatbots/{chatbotId}/examples/{exampleId}

Updates an existing training example.

patch

Required Permission: chatbots.examples.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

exampleIdstringRequired

The ID of the example to update.

Body
textstringRequired

The updated text of the training example.

entityIdsstring[]RequiredDefault: []
statusnumber · enumOptional

The status of the example.

  • 0: PENDING
  • 1: INDEXING
  • 2: INDEXED
  • 3: ERROR
Possible values:
vectornumber[]Required

The manually set vector for this example.

Default: []
Responses
200

Example updated successfully.

application/json
errorstringOptional

Optional error message.

patch
/v1/chatbots/{chatbotId}/examples/{exampleId}

Last updated